Subject: RE: [AAA-WG]: DCC Issue 22: Inclusion of IMEI in Subscription-Id- Type AVP

From: "Leena Mattila (TU/LMF)" <[email-masked]>
Date: Fri, 27 Feb 2004 15:01:10 +0100

Hi Chris,

I agree that this information is relevant. But if we do introduce the
identifier in DCC it should be generic, the 3GPP specific attributes
can be defined using 3GPP vendor id.

How about introducing the following AVP in DCC (following the spirit
of Calling-Station-Id AVP in NASREQ):

Terminal-Identity AVP

   The Terminal-Identity AVP (AVP Code TBD) is of type UTF8String, and
   allows the Credit-control client to send in the request the ASCII
   string describing identity of the terminal the subscriber is using
   for the connection. The Terminal-Identity AVP MAY contain a MAC address,
   formated as described in [RAD802.1X], or other interface identifier,
   formated as IEEE EUI-64 identifier [EUI64]. There are a number of types
   of terminals that have identifiers other than IEEE EUI-64 or IEEE 802
   48-bit MACs.  Examples include International Mobile Equipment
   Identity (IMEI) or Mobile Equipment Identifier (MEID). These
   identifiers can be converted to modified EUI-64 format as described
   in [IPv6Addr].

[RAD802.1X]   P. Congdon, et.al "IEEE 802.1X RADIUS Usage Guidelines",
              RFC 3580, September 2003.
   
[EUI64]      IEEE, "Guidelines for 64-bit Global Identifier (EUI-64)
             Registration Authority",
             http://standards.ieee.org/regauth/oui/tutorials/EUI64.html,
             March 1997.

BTW, there seems to be ongoing activity to define how IMEI should
be converted to modified EUI-64 format:
http://www.ietf.org/internet-drafts/draft-dupont-ipv6-imei-06.txt
As this is not an RFC, we can't refer to this one as a Normative
reference but I think it matches with the above, right?

BR,
Leena

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of [email-masked]
Sent: 27. helmikuuta 2004 9:14
To: [email-masked]; Harri Hakala (TU/LMF)
Cc: [email-masked]
Subject: RE: [AAA-WG]: DCC: Inclusion of IMEI in Subscription-Id-Type AVP

Hi Chris,

>I am suggesting that there are valid reasons that the credit control server has for knowing this information - especially in the 3GPP NAS world (Possibly in 3GPP2. Maybe less so in the 
>SIP world). I am recommending that in addition to the IMSI, MSISDN, IP address, the IMEISV MAY also be included.

My question would be, what other equipment identities could be included other than 3GPP IMEISV. 
What is the 3GPP 2 equipment identity? Is ther a way to identify other type of equipments 
(e.g. MAC address or..)?

Certainly the Subscription-Id AVP is not the most appropriate container for the IMEI.
I've no problem my self to define a new AVP Equipment-Identification or something similar
if we can find other applications than 3GPP. But, if only 3GPP is using the AVP the best
way would be that 3GPP defines this AVP.

You may know that 3GPP can use 3GPP vendor-id and value assigned in 3GPP i.e. the AVP
can be fully handled by 3GPP without IETF/IANA interactions.

Regards
Marco

This communication is confidential and intended solely for the addressee(s). Any unauthorized review, use, disclosure or distribution is prohibited. If you believe this message has been sent to you in error, please notify the sender by replying to this transmission and delete the message without disclosing it. Thank you.

E-mail including attachments is susceptible to data corruption, interruption, unauthorized amendment, tampering and viruses, and we only send and receive e-mails on the basis that we are not liable for any such corruption, interception, amendment, tampering or viruses or any consequences thereof.